
// location of mathjax files.


var nagmathjax= ((window.location.protocol=="https:") ? "https" : "http" ) +
    "://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/";

// var nagmathjax=""../mathjax/";

var nagusecookies = 1 // set to anything else to stop use of cookies





var createCookie = function(name, value, days) {
    if(nagusecookies==1){
    var expires;
    if (days) {
        var date = new Date();
        date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
        expires = "; expires=" + date.toGMTString();
    }
    else {
        expires = "";
    }
    document.cookie = name + "=" + value + expires + "; path=/";
    }
}

function getCookie(c_name) {
    if (document.cookie.length > 0) {
        c_start = document.cookie.indexOf(c_name + "=");
        if (c_start != -1) {
            c_start = c_start + c_name.length + 1;
            c_end = document.cookie.indexOf(";", c_start);
            if (c_end == -1) {
                c_end = document.cookie.length;
            }
            return unescape(document.cookie.substring(c_start, c_end));
        }
    }
    return "";
}



function hasSVG () {
return !! document.createElementNS &&
       !! document.createElementNS (
             'http://www.w3.org/2000/svg',
             "svg")
      .createSVGRect;
}




function getmathnode() {
    var mmlnodea = document.getElementsByTagName("math");
    var mmlnode = [];
    for( var i = 0; i < mmlnodea.length; i++ ) {
        mmlnode[mmlnode.length] = mmlnodea[i];
    }
    return mmlnode;
}



function doMathIE9() {
    var mmlnode = getmathnode();
    for (var i=0; i<mmlnode.length; i++) {
        var parent = mmlnode[i].parentNode;
        if(parent!=null){
            var str=parent.innerHTML;
	    if(str!=undefined) {
            str = str.replace(/xmlns=.http:\/\/www.w3.org\/1998\/Math\/MathML./ig,'');
            str = str.replace(/<\?XML:NAMESPACE[^<>]*>/ig,'');
            str = str.replace(/<\/(none|mprescripts|mspace)[^<>]*>/ig,'');
            str = str.replace(/<(none|mprescripts|mspace)([^<>]*)>/ig,'<$1$2></$1>');
            str = str.replace(/<(mtd)([^<>]*)>(?=\s*<mtd)/ig,'<$1$2></$1>');
            str = str.replace(/(<\/mtd>)+<\/mtr>/ig,'</mtd></mtr>');
            parent.innerHTML = (str);
	    } 
        }
    }

    doMathJax();
}

function SVGpng() {
    var svgnodea = document.getElementsByTagName("svg");
    var svgnode = [];
    for( var i = 0; i < svgnodea.length; i++ ) {
        svgnode[svgnode.length] = svgnodea[i];
    }
      for (var i=0; i<svgnode.length; i++) { 
        var newnode = 
            document.createElement("img");
          var d1=svgnode[i].parentNode;
          var d2=d1.parentNode;
          newnode.setAttribute("src","../figures/" + d2.getAttribute("id") + ".png");
          d2.replaceChild(newnode,d1);
    }
}



function doMathJax() {
    if(!(hasSVG())) {
	SVGpng();
    }
   var scr=document.createElement("script");
   scr.setAttribute("src",nagmathjax + "MathJax.js?config=TeX-AMS-MML_SVG");
   document.getElementsByTagName("head")[0].appendChild(scr);
   
}





if ( navigator.userAgent.match(/Gecko\//) && (! navigator.userAgent.match(/Firefox[ /][1-3][^0-9]/))) {
// native MathML and SVG in current firefox
} else if ( window.attachEvent && navigator.userAgent.match(/MSIE [6-9][^0-9]/)) {
    window.attachEvent("onload", doMathIE9);
} else if ( window.addEventListener) {
  window.addEventListener('load', doMathJax, false);
} 



// TOC handler
function showLevel(id){
    var thisLevel = document.getElementById(id);
    var thisplus = document.getElementById(id +'plus');
    var thisminus = document.getElementById(id + 'minus');
    if(getComputedStyle(thisLevel).getPropertyValue("display") != "block"){
	thisLevel.style.display = "block";
	thisplus.style.display = "none";
	thisminus.style.display = "inline";
    } else {
	thisLevel.style.display = "none";
	thisminus.style.display = "none";
	thisplus.style.display = "inline";
    }
}

function ksearch (t,e) {
    if (e.keyCode == 13) {
	document.location='../indexes/kwic.html?q='+t.value.replace(/[ ,]+/g, '+');
	return false;
    }
}

